XMLReader::close
XMLReader::getAttribute
XMLReader
PHP Manual

# XMLReader::expand

(PHP 5 >= 5.1.0)

XMLReader::expand — Returns a copy of the current node as a DOM object

### Description

public DOMNode XMLReader::expand ([ DOMNode `$basenode` ] )

This method copies the current node and returns the appropriate DOM object.

### Parameters

`basenode`

  A DOMNode defining the target DOMDocument for the created DOM object.

### Return Values

The resulting DOMNode or `FALSE` on error.

### Changelog

Version | Description
--- | ---
5.3.0 | The parameter `basenode` was added.

XMLReader::close
XMLReader::getAttribute
XMLReader
PHP Manual